/*****************************************************************************
 * File:			mifare.h
 * Description:		Reader application file
 * Project:			Intrusion system and access control
 * 					(Sistema de intrusión y control de accesos)
 *
 * Version:			1.0		02/01/2017
 * Author:			Daniel Gómez
 *****************************************************************************/
#ifndef MIFARE_H_
#define MIFARE_H_

	/* puts 1 in the variable */
void data0();

	/* puts 1 in the variable */
void data1();

/* puts 1 in the variable */
void Armed();

/* puts 1 in the variable */
void Disarmed();

	/* Initizlizes pins and interruptions */
void mifareInit();

	/* store bits of interruptions in order to catch the 26 bits the reader sends */
void cardReader();

	/* check if the card identification is in th data base */
void checkID();

	/* get function for accepted or denied card */
uint8_t acceptedID();

	/* resets cardcode value */
void resetCardcode();

uint32_t getCardCode(void);


#endif /* MIFARE_H_ */
